## org.eclipse.emf.codegen.merge.java
Class JMerger.PushSourceVisitor

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.FacadeVisitor
          org.eclipse.emf.codegen.merge.java.JMerger.PushSourceVisitor

Enclosing class:
  JMerger

    public class JMerger.PushSourceVisitor

extends FacadeVisitor

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.FacadeVisitor
`rootNode`

Constructor Summary
`JMerger.PushSourceVisitor()`

Method Summary
`protected boolean` `basicVisit(JNode node)`
`protected boolean` `doPush(JNode sourceNode)` Returns whether the children should be visited (ie, when the source is not in the target).
`protected boolean` `visit(JAbstractType abstractType)`
`protected boolean` `visit(JCompilationUnit compilationUnit)`
`protected boolean` `visit(JImport jImport)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.FacadeVisitor
`afterVisit, afterVisitChildren, beforeVisit, dispatch, getRootNode, start, visit, visit, visit, visit, visit, visit, visit, visit, visitChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMerger.PushSourceVisitor

    public JMerger.PushSourceVisitor()

Method Detail

### doPush

    protected boolean doPush(JNode sourceNode)

  Returns whether the children should be visited (ie, when the source is not in the target).

  Parameters:
    `sourceNode` -

### basicVisit

    protected boolean basicVisit(JNode node)

  Overrides:
    `basicVisit` in class `FacadeVisitor`

### visit

    protected boolean visit(JCompilationUnit compilationUnit)

  Overrides:
    `visit` in class `FacadeVisitor`

### visit

    protected boolean visit(JAbstractType abstractType)

  Overrides:
    `visit` in class `FacadeVisitor`

### visit

    protected boolean visit(JImport jImport)

  Overrides:
    `visit` in class `FacadeVisitor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.